Last Comment Bug 736091 - Wifi: Add a nsIDOMWifiManager.forgetNetwork function
: Wifi: Add a nsIDOMWifiManager.forgetNetwork function
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla14
Assigned To: Blake Kaplan (:mrbkap) (please use needinfo!)
:
Mentors:
Depends on:
Blocks: b2g-wifi
  Show dependency treegraph
 
Reported: 2012-03-15 08:15 PDT by Blake Kaplan (:mrbkap) (please use needinfo!)
Modified: 2012-09-16 13:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Totally untested patch (7.71 KB, patch)
2012-03-19 08:55 PDT, Blake Kaplan (:mrbkap) (please use needinfo!)
no flags Details | Diff | Review
Rebased (7.69 KB, patch)
2012-03-26 09:29 PDT, Blake Kaplan (:mrbkap) (please use needinfo!)
cjones.bugs: review+
fabien: feedback+
Details | Diff | Review

Description Blake Kaplan (:mrbkap) (please use needinfo!) 2012-03-15 08:15:08 PDT
We need the ability to forget networks that we've previously told the supplicant about.

Relatedly, we need a way of listing the previously-remembered wifi networks so that we can delete networks even when they're not in range.
Comment 1 Blake Kaplan (:mrbkap) (please use needinfo!) 2012-03-19 08:55:22 PDT
Created attachment 607181 [details] [diff] [review]
Totally untested patch

I haven't tested this patch at all, but it *should* work. Kaze, any comments would be appreciated.
Comment 2 Blake Kaplan (:mrbkap) (please use needinfo!) 2012-03-26 09:29:57 PDT
Created attachment 609351 [details] [diff] [review]
Rebased
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-29 19:33:26 PDT
Comment on attachment 609351 [details] [diff] [review]
Rebased

lgtm

Please test before landing :).
Comment 4 Blake Kaplan (:mrbkap) (please use needinfo!) 2012-04-09 00:22:40 PDT
http://hg.mozilla.org/mozilla-central/rev/9aaed241e2b7

We'll have to deal with any bugs in followups... I would have liked to wait longer, but the cost of keeping this merged in my tree was getting pretty high.

Note You need to log in before you can comment on or make changes to this bug.